org.eclipse.emf.cdo.spi.common

## Interface CDOReplicationContext

- All Superinterfaces:
    CDOBranchHandler, CDOCommitInfoHandler, CDOReplicationInfo, IDurableLockingManager.LockArea.Handler
  All Known Subinterfaces:
    InternalFailoverParticipant, InternalSynchronizableRepository

      public interface CDOReplicationContext
      extends CDOReplicationInfo, CDOBranchHandler, CDOCommitInfoHandler, IDurableLockingManager.LockArea.Handler

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.CDOReplicationInfo

      `getLastReplicatedBranchID, getLastReplicatedCommitTime, getLockAreaIDs`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchHandler

      `handleBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoHandler

      `handleCommitInfo`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockArea.Handler

      `handleLockArea`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html